import { BaseCacheDevice } from './BaseCacheDevice';
export declare class LocalStorageCacheDevice extends BaseCacheDevice {
    private localDataStorage;
    constructor(disableCaching?: boolean, serializedCache?: Record<string, string>);
    get(key: string): string | undefined;
    set(key: string, value: string): void;
    serialize(): Record<string, string>;
}
